# Delete Project

### Prerequisites

Requires a user auth token. See the [API Auth](/api/api-setup-text.md) section.

### Deleting Project

Deletes the project and all associated collections.

{% code overflow="wrap" lineNumbers="true" %}

```javascript
import mindplug from "@/src/mindplugAPI"; // base instance

mindplug.post("/db/delete", {
    db: "walmart",
});
```

{% endcode %}

*Once the database is deleted, there is no way for Mindplug to restore the deleted data. Possibly users may keep a copy of data in a separate db just in-case.*&#x20;

### Sample Response

```json
{
    success: "true"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mindplug.io/api/delete-project.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
